Bug 18118

Summary: XslCompiledTransform uses incorrect context when a global variable references another global variable
Product: [Mono] Class Libraries Reporter: daspits
Component: System.XMLAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: eb1, lexas, mono-bugs+mono
Priority: ---    
Version: 2.10.x   
Target Milestone: Untriaged   
Hardware: PC   
OS: Linux   
Tags: Is this bug a regression?: ---
Last known good build:
Attachments: Patch file

Description daspits 2014-03-03 04:03:00 UTC
Created attachment 6194 [details]
Patch file

When a global variable references another global variable, and the second global variable has not been evaluated yet, XslCompiledTransform will use the current node set as the context when evaluating the global variable, instead of the root node set as the context. In many cases, this results in incorrect behavior.

I have attached a possible fix.
Comment 1 eb1 2014-03-17 10:50:37 UTC
Suggested fix in PR #961.
Comment 2 Alexis Christoforides 2014-04-28 18:21:03 UTC
The fix pull request was merged to master, commit 2d2d90eeb291ad41f5e0ddadfbe63f1677ca1f48.